Qt 5.11 | Qt Bluetooth | C++ Classes | AddressInfo

Qt 5.11.3 Reference Documentation

# AddressInfo Class

(QLowEnergyAdvertisingParameters::AddressInfo)

The QLowEnergyAdvertisingParameters::AddressInfo defines the elements of a white list. More...

Header: | #include <AddressInfo>
qmake: | QT += bluetooth
Since: | Qt 5.7

- List of all members, including inherited members

## Public Functions

| AddressInfo(const QBluetoothAddress &addr, QLowEnergyController::RemoteAddressType type)
| AddressInfo()

## Public Variables

QBluetoothAddress | address
QLowEnergyController::RemoteAddressType | type

## Detailed Description

The QLowEnergyAdvertisingParameters::AddressInfo defines the elements of a white list.

A list of QLowEnergyAdvertisingParameters::AddressInfo instances is passed to QLowEnergyAdvertisingParameters::setWhiteList(). White lists are used to restrict the devices which have the permission to interact with the peripheral. The permitted type of interaction is defined by QLowEnergyAdvertisingParameters::FilterPolicy.

See also QLowEnergyAdvertisingParameters::whiteList().

## Member Function Documentation

### AddressInfo::AddressInfo(const QBluetoothAddress &addr, QLowEnergyController::RemoteAddressType type)

Constructs a new AddressInfo instance. addr represents the Bluetooth address of the remote device and type the nature of the address.

### AddressInfo::AddressInfo()

Constructs a default constructed AddressInfo instance.

By default the AddressInfo::type member is set to QLowEnergyController::PublicAddress and the AddressInfo::address member has a null address.

## Member Variable Documentation

### QBluetoothAddress AddressInfo::address

This is the Bluetooth address of a remote device.

### QLowEnergyController::RemoteAddressType AddressInfo::type

The type of the address (public or private). The AddressInfo default constructor initialises this value to QLowEnergyController::PublicAddress.